
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>WinForm控件开发总结(九) 为属性提下拉式属性编辑器 / iVAN</title>

    <meta name="description" content="WinForm控件开发总结(九) 为属性提下拉式属性编辑器 在上一篇文章,我介绍了如何编写模态对话框属性编辑器,这篇文章我将介绍如何编写下拉式属性编 辑器.下拉式(DropDown)属性编辑器和模态对话框属性编辑器的不同之处就是,当你点击属性值修改的 时候,模态对话框编辑器是弹出一个模态对话框,而下拉式属性编辑器却是在紧贴着属性值的地方显示一 个下拉的控件.不知道大家注意到了没有,这里我说的是显示一个下拉的控件,而这个控件也是需要你去 开发的,接下来我还是以Scope属性为例,介绍一下具体的实现. 首先我们要创建一个用于编辑属性的控件,在本系列文章的开始">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">WinForm控件开发总结(九) 为属性提下拉式属性编辑器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在上一篇文章，我介绍了如何编写模态对话框属性编辑器，这篇文章我将介绍如何编写下拉式属性编 辑器。下拉式（DropDown）属性编辑器和模态对话框属性编辑器的不同之处就是，当你点击属性值修改的 时候，模态对话框编辑器是弹出一个模态对话框，而下拉式属性编辑器却是在紧贴着属性值的地方显示一 个下拉的控件。不知道大家注意到了没有，这里我说的是显示一个下拉的控件，而这个控件也是需要你去 开发的，接下来我还是以Scope属性为例，介绍一下具体的实现。</p>
<p>首先我们要创建一个用于编辑属性的控件，在本系列文章的开始，我们介绍了自定义控件有三种类型 ：复合控件，扩展控件，自定义控件。在本例中我们制作一个复合控件（Compsite control），复合控件 的开发比较简单，不在本系列文章的讲解范围，我简单做个介绍，在Solution 浏览器里右键点击 CustomControlSample工程选择Add-&gt;User Control…,输入文件名ScopeEditorControl.cs。我们做的 这个复合控件上一篇文章介绍的模态对话框所包含子控件基本一样，除了用于确认和取消的按钮，如下图 ：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMVM1MVFZOC0wLmpwZw==.jpg"></p>
<p>由于我们取消了用于确认和取消的按钮，并且是一个下拉的编辑器控件，在出现下面三种情况的时候 下拉的编辑器控件会关闭：用户敲了回车，用户敲了ESC键，用户点击了编辑器以外的地方。当下拉编辑 器控件关闭的时候我们就需要更新属性的值。下边是这个控件的代码：</p>
<pre>using System;

using System.Collections.Generic;

using System.ComponentModel;

using System.Drawing;

using System.Data;

using System.Text;

using System.Windows.Forms;

namespace CustomControlSample

{

　　　 public partial class ScopeEditorControl : UserControl

　　　 {

　　　　　　　 private Scope _oldScope;

　　　　　　　 private Scope _newScope;

　　　　　　　 private Boolean canceling;

　　　　　　　 

　　　　　　　 public ScopeEditorControl(Scope scope)

　　　　　　　 {

　　　　　　　　　　　 _oldScope = scope;

　　　　　　　　　　　 _newScope = scope;

　　　　　　　　　　　 InitializeComponent();

　　　　　　　 }

　　　　　　　 public Scope Scope

　　　　　　　 {

　　　　　　　　　　　 get

　　　　　　　　　　　 {

　　　　　　　　　　　　　　　 return _newScope;

　　　　　　　　　　　 }

　　　　　　　 }

　　　　　　　 private void textBox1_Validating(object sender, CancelEventArgs e)

　　　　　　　 {

　　　　　　　　　　　 try

　　　　　　　　　　　 {

　　　　　　　　　　　　　　　 Int32.Parse(textBox1.Text);

　　　　　　　　　　　 }

　　　　　　　　　　　 catch (FormatException)

　　　　　　　　　　　 {

　　　　　　　　　　　　　　　 e.Cancel = true;

　　　　　　　　　　　　　　　 MessageBox.Show("无效的值", "验证错误", MessageBoxButtons.OK, 

MessageBoxIcon.Error);

　　　　　　　　　　　 }

　　　　　　　 }

　　　　　　　 private void textBox2_Validating(object sender, CancelEventArgs e)

　　　　　　　 {

　　　　　　　　　　　 try

　　　　　　　　　　　 {

　　　　　　　　　　　　　　　 Int32.Parse(textBox2.Text);

　　　　　　　　　　　 }

　　　　　　　　　　　 catch (FormatException)

　　　　　　　　　　　 {

　　　　　　　　　　　　　　　 e.Cancel = true;

　　　　　　　　　　　　　　　 MessageBox.Show("无效的值", "验证错误", MessageBoxButtons.OK, 

MessageBoxIcon.Error);

　　　　　　　　　　　 }

　　　　　　　 }

　　　　　　　 protected override bool ProcessDialogKey(Keys keyData)

　　　　　　　 {

　　　　　　　　　　　 if (keyData == Keys.Escape)

　　　　　　　　　　　 {

　　　　　　　　　　　　　　　 _oldScope = _newScope;

　　　　　　　　　　　　　　　 canceling = true;

　　　　　　　　　　　 }

　　　　　　　　　　　 return base.ProcessDialogKey(keyData);

　　　　　　　 }
　　　　　　　 private void ScopeEditorControl_Leave(object sender, EventArgs e)

　　　　　　　 {

　　　　　　　　　　　 if (!canceling)

　　　　　　　　　　　 {

　　　　　　　　　　　　　　　 _newScope.Max = Convert.ToInt32(textBox1.Text);

　　　　　　　　　　　　　　　 _newScope.Min = Convert.ToInt32(textBox2.Text);

　　　　　　　　　　　 }

　　　　　　　 }
　　　　　　　 private void ScopeEditorControl_Load(object sender, EventArgs e)

　　　　　　　 {

　　　　　　　　　　　 textBox1.Text = _oldScope.Max.ToString();

　　　　　　　　　　　 textBox2.Text = _oldScope.Min.ToString();

　　　　　　　 }

　　　 }

}</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索控件<br />
                    ，                编辑器<br />
                    ，                textbox<br />
                    ，                属性<br />
                    ，                formatexception<br />
                    ，                属性编辑器<br />
                    ，                winform下拉列表<br />
                    ，                下拉<br />
                    ，                模态<br />
                    ，                Scope详细介绍<br />
                                    下拉控件<br />
                                    winform做下拉式菜单、winform html编辑器、winform 富文本编辑器、winform 文本编辑器、winform流程图编辑器，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 20:35:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e8%be%91%e5%99%a8/" title="编辑器">编辑器</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8b%e6%8b%89/" title="下拉">下拉</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/textbox/" title="textbox">textbox</a>, <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7%e7%bc%96%e8%be%91%e5%99%a8/" title="属性编辑器">属性编辑器</a>, <a href="https://www.iamivan.net/tag/winform%e4%b8%8b%e6%8b%89%e5%88%97%e8%a1%a8/" title="winform下拉列表">winform下拉列表</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e6%80%81/" title="模态">模态</a>, <a href="https://www.iamivan.net/tag/scope%e8%af%a6%e7%bb%86%e4%bb%8b%e7%bb%8d/" title="Scope详细介绍">Scope详细介绍</a>, <a href="https://www.iamivan.net/tag/formatexception/" title="formatexception">formatexception</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8b%e6%8b%89%e6%8e%a7%e4%bb%b6/" title="下拉控件">下拉控件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>WinForm控件开发总结(九) 为属性提下拉式属性编辑器的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7knRRz.html" rel="bookmark">WinForm控件开发总结系列文章目录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WinForm控件开发总结(十二) 让控件处理导航键 WinForm控件开发总结(十一) 调试控件的设计时行为 WinForm控件开发总结(十) 为属性设置默认值 WinForm控件开发总结(九) 为属性提下拉式属性编辑器 WinForm控件开发总结(七) 为复杂属性的子属性提供编辑功能 WinForm控件开发总结(八) 为属性提供弹出式编辑对话框 WinForm控件开发总结(六) 控件属性类型转换器代码详解 WinForm控件开发总结(五) 为控件的复杂属性提供类型转换器 WinForm控件开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqLVZb.html" rel="bookmark">WinForm控件开发总结&lpar;八&rpar; 为属性提供弹出式编辑对话框</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前几篇文章我们一直在讨论如何更方便的编辑复杂类型的属性,在这个过程中我介绍了类型转换器以 及如何制作自己的类型转换器来实现属性值的串行化和实现子属性的编辑.对于Scope这种级别的复杂属 性,一个类型转换器就已经足够了,但是对于更为复杂的属性,单单使用类型转换器已经不足以应付了, 比如我们常用的Font属性. 在这种情况下,我们就需要提供更为复杂的编辑方式,比如属性编辑对话框,你还记得Font对话框吗 ?现在我们就来看看如何实现更复杂的属性编辑.复杂的属性编辑器分为两种类型,一种是弹出式模态对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnK5qWz.html" rel="bookmark">visual studio-combobox控件如何设置可以实现点击控件任何位置都能弹出下拉菜单？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 combobox控件如何设置可以实现点击控件任何位置都能弹出下拉菜单? Microsoft Visual Studio 2010里的控件 解决方案 combobox控件本身是没有这样的功能的. 可以考虑自绘制控件, 解决方案二: combobox和你所谓的任意控件什么关系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Agw6p.html" rel="bookmark">WinForm控件开发总结&lpar;十&rpar; 为属性设置默认值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列的前面几篇文章讲解了如何来定义属性以及更有效的编辑属性,接下来我要讲一下控件属性的默 认值.如果我们希望自己开发的控件更易于被其它开发者使用,那么提供默认值是非常值得的. 如果你为属性设定了默认值,那么当开发者修改了属性的值,这个值在Property Explorer中将会以粗 体显示.VS为属性提供一个上下文菜单,允许程序员使用控件把值重置为默认值.当VS进行控件的串行化 时,他会判断那些值不是默认值,只有不是默认值的属性才会被串行化,所以为属性提供默认值时可以大 大减少串行化的属性数目			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKxR6p.html" rel="bookmark">WinForm控件开发总结&lpar;七&rpar; 为复杂属性的子属性提供编辑功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面的几篇文章中,我们给控件添加一个复杂的类型Scope,并且给它的类型提供的一个类型转换器, 现在我们可以在属性浏览器中编辑它的值,并且它的值也被串行化的源代码里了.但是你有没有发现,在 属性浏览器里编辑这个属性的值还是不太方便.因为属性只是&quot;10,200&quot;这种形式的,所以,你必须按 照这种格式来修改,一旦格式错误就会引发异常,比如输入一个&quot;10200&quot;.我们期望这个属性的每一子 属性都能够被独立的编辑就好了,这并非不能实现,而且实现还很简单. 为了在属性浏览器里			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRv2nz.html" rel="bookmark">WinForm控件开发总结&lpar;五&rpar; 为控件的复杂属性提供类型转换器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇文章我已经介绍了TypeConverterAttribute元数据的作用,本文将通过代码向你展示具体的实 现.在这个例子中,我要给控件添加一个复杂的属性,这个属性对这个控件没有什么功用,纯粹是为了演 示,有些牵强附会了. 现在在前一篇文章中的创建的控件代码中添加一个Scope属性: [Browsable(true)] public Scope Scope { get { return _scope; } set { _scope = value; } } 这个属性的类型是Scope类,代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNmYmb.html" rel="bookmark">WinForm控件开发总结&lpar;四&rpar; 控件属性的串行化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前一篇文章介绍了常用的设计时Attribute.其中BrowsableAttribute,CategoryAttribute, DescriptionAttribute,DefaultPropertyAttribute,DefaultEventAttribute都是比较简单的,也是可 有可无,但是为了提供更好的用户体验这些Attribute最好不要省掉,如果你对这些Attribute还不熟悉, 可以参考我前一篇文章的描述或者查看MSDN,这里我就不在赘述了. 下来我们主要介绍一下Designer			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKowmp.html" rel="bookmark">WinForm控件开发总结&lpar;三&rpar; 认识WinForm控件常用的Attribute</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前面的文章里我们制作了一个非常简单的控件.现在我们回过头来看看这些代码透露出什么信息. 这个类是直接从Control类派生出来的,自定义控件都是直接从Control类派生出来的.这个类定义了 一个属性TextAlignment,用来控制文本在控件中显示的位置: [ Category(&quot;Alignment&quot;), Description(&quot;Specifies the alignment of text.&quot;) ] public ContentAlignment Text			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6P2Dz.html" rel="bookmark">WinForm控件开发总结&lpar;一&rpar; 开篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我本人不是专业的控件开发人员,只是在平常的工作中,需要自己开发一些控件.在自己开发WinForm 控件的时候,没有太多可以借鉴的资料,只能盯着MSDN使劲看,还好总算有些收获.现在我会把这些经验 陆陆续续的总结出来,写成一系列方章,希望对看到的朋友有所帮助.今天我来开个头. 其实开发WinForm控件并不是很复杂,.NET为我们提供了丰富的底层支持.如果你有MFC或者API图形界 面的开发经验,那么学会WinForm控件可能只需要很短的时间就够了. 自己开发的WinForm控件通常有三种类型:复			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQYvob.html" rel="bookmark" class="title">Photoshop八种方法快速抠出火焰</a>
					<div>
						抠图的方法有很多,如果是一些精度要求不是很高的图片,我们只需要简单几步就可以快速抠出主体,有些只需要修改一下图片混合模式,真是非常实用. 原图 最终效果 [1] [2] [3] [4] [5]  下一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxD1OM.html" rel="bookmark" class="title">地方论坛网站运营谈</a>
					<div>
						目前,中国个人站长遍地开花,360行,行行都有自己的网站.大到一个门户网站,小到一个为兜售自己商品而建设的纽扣网站,可以说是无奇不有了. 在信息发布烧遍整个大江南北的2006年,经过SP业务的寒冬,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOoxqz.html" rel="bookmark" class="title">PL&sol;SQL中的几种异常处理方法</a>
					<div>
						异常处理 这是Pona的文章,我斗胆将其贴上来,Pona不要介意哦!^_^   PL/SQL里,有三种方法可以在处理大批量数据时不会因为一条或几条数据错误而导致异常中止程序.   1.用Fetch i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdaY3z.html" rel="bookmark" class="title">王通：&OpenCurlyDoubleQuote;赶驴网事件&OpenCurlyDoubleQuote;的SEO启发</a>
					<div>
						最近一段,赶集网在央视的广告很疯狂,广告创意确实吸引人,不过那头驴子太抢风头,结果造成了很多人都记住了驴子,竟然没有记住赶集网,甚至把赶集网记成了&quot;赶驴网&quot;,于是&quot;赶驴网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9DD4b.html" rel="bookmark" class="title">交互设计&colon;评价系统设计提纲</a>
					<div>
						2009年UCD书友会的最后一期话题是:商品评论的设计.结合我之前做的相关设计和一些收集做了一个简单的PPT分享.有同学跟我要PPT的原件,由于我个人真不擅写PPT,所以做的蛮难看,这里就结合下午大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze42Wwp.html" rel="bookmark" class="title">数据结构教程 第三十一课 动态查找表</a>
					<div>
						教学目的: 掌握二叉排序树的实现方法 教学重点: 二叉排序树的实现 教学难点: 构造二叉排序树的方法 授课内容: 一.动态查找表的定义 动态查找表的特点是: 表结构本身是在查找过程中动态生成的,即对于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE9O4b.html" rel="bookmark" class="title">Dreamweaver制作超链接方法</a>
					<div>
						超链接大家都知道吧,就是你点到的话会直接弹出另一个链接的页面.这是很有用的推广手段之一.今天教大家如何制作超链接的方法.本教程主要讲的有:页面之间的超连接,邮件地址的超连接,制作图片上的超链接.有需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wErJp.html" rel="bookmark" class="title">启动云服务器</a>
					<div>
						  启动:该操作主要用来启动&quot;已停止&quot;状态的云服务器,即:只有当云服务器的状态为&quot;已停止&quot;时,上面的操作按钮才会显示,用来启动您的云服务器.如:绿色框为操作按钮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Wxrmb.html" rel="bookmark" class="title">网页设计师学习编写代码的一些理由</a>
					<div>
						通常,在完成了一件网页设计后,设计师的无知都会显露无遗而备受指责.他们把创建网页代码的繁重工作都留给了程序员们.这种现象不只出现在网络开发行业,在软件及游戏开发业也是如此. 残酷的事实就是:开发进度可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywddEz.html" rel="bookmark" class="title">Excel2010有那些新增的功能</a>
					<div>
						  1 数据可视化功能 Exccl 2010十新增和改进的数据可视化功能,可H获取重要的关键信息.并采用便于理解的醒目方式呈现这些关键信息. (1)用户可以使用迷你图可视化万式来汇总趋势和数据. (2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6KWLM.html" rel="bookmark" class="title">重载-急求 iframe 中url 链接是二次跳转，跳转后怎么让其还在iframe？</a>
					<div>
						问题描述 急求 iframe 中url 链接是二次跳转,跳转后怎么让其还在iframe? 我在js中动态设置Iframe src的值,但是src 中的url 有时候是二次跳转链接,(比如微信 公众号的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PVokp.html" rel="bookmark" class="title">MyISAM InnoDB 区别</a>
					<div>
						InnoDB和MyISAM是许多人在使用MySQL时最常用的两个表类型,这两个表类型各有优劣,视具体应用而定.基本的差别为:MyISAM类型不支持事务处理等高级处理,而InnoDB类型支持.MyISA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ47Kb.html" rel="bookmark" class="title">阿里巴巴成为全球第四大高科技公司和全球第二大互联网公司</a>
					<div>
						摘要: 昨夜, 中国电商巨头阿里巴巴在美国纽交所上市,首日报收于93.89美元,较68美元的发行价上涨38.07%. 以93.89美元的收盘价计算, 阿里巴巴 市值为2314.4亿美元,这一数字超过了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze616Ab.html" rel="bookmark" class="title">请教下在ASP&period;NET中遇到的问题</a>
					<div>
						问题描述 做一个项目,在设置断点运行后断点不能继续运行下去,而且网页中的更新也实现不了,帮我解决下 解决方案 解决方案二: 解决方案三:哥哥你这又是上图又是文字结果相当于没说啊......断点调试异常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrQQ9M.html" rel="bookmark" class="title">spring mvc-&lpar;Ljava&sol;io&sol;InputStream&semi;Ljava&sol;io&sol;File&semi;&rpar;V这是什么原因造成的呀</a>
					<div>
						问题描述 (Ljava/io/InputStream;Ljava/io/File;)V这是什么原因造成的呀 [Smart2]|[2015-05-07 11:41:52657]|org.springfr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YOvvM.html" rel="bookmark" class="title">广告业内人士称跟踪cookie最多还能活五年将被取代</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   腾讯科技讯 北京时间4月28日消息,据国外媒体报道,据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKKADb.html" rel="bookmark" class="title">伊朗悄然取消Twitter和YouTube网站监管限制</a>
					<div>
						1月20日消息,据外电报道,长期以来,伊朗一直对民众执行互联网禁令和限制,这也导致伊朗网民无法登陆Twitter.YouTube或是Facebook等社交网站或视频网站.不过伊朗网民日前惊异的发现,他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX2lxz.html" rel="bookmark" class="title">求高手解决&excl;&excl; quartz  定时器初始化异常&excl;&excl;&excl;</a>
					<div>
						问题描述 解决方案二: 解决方案三: 解决方案四: 解决方案五: 解决方案六: 解决方案七:配置代码:&lt;beanid=&quot;methodInvokingJobDetail&quot;cla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlKDqp.html" rel="bookmark" class="title">因光伏而起落的企业家</a>
					<div>
						伴随着政府出台的一系列清洁能源对高污染能源替代的相关文件开始,光伏能源将在其中占据一席之地.光伏行业的造富神话落下一地鸡毛后,也许,未来的&quot;首富&quot;或仍将来自于这些行业 光伏产业在我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGERx6M.html" rel="bookmark" class="title">网上买服务渐成习惯 猪八戒网交易额破12亿</a>
					<div>
						近日,从全国最大威客网站http://www.aliyun.com/zixun/aggregation/18836.html&quot;&gt;猪八戒网传出消息,截至2012年10月8日,该网站总交易 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AB44z.html" rel="bookmark" class="title">winform程序制作License</a>
					<div>
						问题描述 怎么制作License?License的原理是什么.菜鸟求解答. 解决方案 解决方案二:读取硬盘特征码,然后加密传给作者,根据特征码做个激活码,给使用者.软件工作前判断特征码和激活码是否匹配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjW4OM.html" rel="bookmark" class="title">H5 开发ap  框架PhoneGap&lpar;cordova&rpar;的应用详解</a>
					<div>
						PhoneGap是一套能让你使用HTML5轻松调用本地API接口和发布应用到商店的应用开发平台.官方说有低成本,低开发周期,轻量化等优点,这些咱暂时也没法证明,略过不表.但是有一条跨平台,却是很明显的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX92xb.html" rel="bookmark" class="title">编程-C&plus;&plus;新手问题&lpar;死亡循环体&rpar;</a>
					<div>
						问题描述 C++新手问题(死亡循环体) case 3: //题三 { while (x == 1) { cout &lt;&lt; &quot;编程实现:从键盘输入任意多个整数(以输入字符a结束输入) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj5DOM.html" rel="bookmark" class="title">JUE：微时代，我们该如何来做好微博营销</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 随着微时代的来临,微数字营销发展也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod5A6M.html" rel="bookmark" class="title">向Excel中快速输入相同文本</a>
					<div>
						在向http://www.aliyun.com/zixun/aggregation/16544.html&quot;&gt;Excel中输入数据时,经常要向不同的单元格中输入相同的文本数据,即使使用& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmW5xz.html" rel="bookmark" class="title">C&plus;&plus;加密解密php代码的方法&lowbar;C 语言</a>
					<div>
						本文实例讲述了C++加密解密php代码的方法.分享给大家供大家参考.具体实现方法如下: #include &quot;php.h&quot; #include &quot;php_ini.h&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ149Kb.html" rel="bookmark" class="title">c&plus;&plus;代码里怎么调用perl代码？</a>
					<div>
						问题描述 c++代码里怎么调用perl代码? 我有一个c++项目,想调用perl代码,请问这个可以用什么方式,除了system函数和socket的方式外还有啥 解决方案 perl 发送邮件代码搭建 G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkg0Lp.html" rel="bookmark" class="title">客户端异常-cxf客户端拦截异常问题</a>
					<div>
						问题描述 cxf客户端拦截异常问题					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWPxOz.html" rel="bookmark" class="title">MyEclipse整合SSH，做个登录&comma;跪求大神</a>
					<div>
						问题描述 小弟初学框架,求大神指点,求一个师傅可教小弟的 解决方案 解决方案二:只要把ssh的原理理解了,做个登陆又有何难?解决方案三:引用1楼sen_linzhiwang的回复: 只要把ssh的原理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKkeEz.html" rel="bookmark" class="title">&period;net中&period;axd的文件如何写或建立</a>
					<div>
						问题描述 好心大哥些帮帮忙 解决方案 解决方案二:该回复于2012-04-02 16:13:54被版主删除					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
